> For the complete documentation index, see [llms.txt](https://docs.paynow.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paynow.gg/storefront-headless/storefront-api/navlinks.md).

# Navlinks

## Get navlinks

> Retrieves the store's navlink structure used for navigation.

```json
{"openapi":"3.1.1","info":{"title":"PayNow Storefront (Headless) API","version":"v1"},"tags":[{"name":"navlinks"}],"security":[{},{"Customer":[],"APIKey":[]}],"components":{"securitySchemes":{"Customer":{"type":"apiKey","description":"A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.","name":"Authorization","in":"header"}},"schemas":{"StorefrontNavLinkDto":{"required":["children","name","node_id","order","tag_id","tag_query","tag_slug"],"type":"object","properties":{"node_id":{"type":"string","description":"The unique identifier for this navigation node in the navigation tree."},"parent_node_id":{"type":["null","string"],"description":"The identifier of the parent navigation node, if this is a child node."},"tag_id":{"$ref":"#/components/schemas/FlakeId"},"tag_slug":{"type":"string","description":"The URL-friendly slug for the tag associated with this navigation link."},"tag_query":{"type":"array","items":{"type":"string"},"description":"A list containing all parent tags and this node's tag, representing the complete path in the tag hierarchy."},"name":{"type":"string","description":"The display name of the associated tag shown to users in the UI."},"order":{"type":"integer","description":"The display order of this navigation link relative to its siblings.","format":"int32"},"children":{"type":"array","items":{"$ref":"#/components/schemas/StorefrontNavLinkDto"},"description":"The collection of child navigation links that appear beneath this link in the hierarchy."}},"additionalProperties":false,"description":"Represents a navigation link in the storefront's hierarchical navigation structure."},"FlakeId":{"type":"string","additionalProperties":false,"format":"flake-id"},"PayNowError":{"required":["code","message","status"],"type":"object","properties":{"status":{"type":"integer","description":"The HTTP status code.","format":"int32"},"code":{"type":"string","description":"The PayNow parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"trace_id":{"type":["null","string"],"description":"A distributed trace ID used for debugging."},"errors":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ValidationError"},"description":"An array of multiple errors. Only used by some API services."}},"additionalProperties":false,"description":"Represents a PayNow error"},"ValidationError":{"required":["code","message","path","validation"],"type":"object","properties":{"code":{"type":"string","description":"The parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"path":{"type":"string","description":"The path leading to the validation error."},"validation":{"type":"string","description":"Type of the validation that failed."}},"additionalProperties":false,"description":"A validation error."}}},"paths":{"/v1/store/navlinks":{"get":{"tags":["navlinks"],"summary":"Get navlinks","description":"Retrieves the store's navlink structure used for navigation.","operationId":"StorefrontNavLinks_GetStorefrontNavLinks","parameters":[{"name":"x-paynow-store-id","in":"header","description":"PayNow Store Identifier (Store ID) available in Store Settings","required":true,"schema":{"type":"string","format":"flake-id"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StorefrontNavLinkDto"}}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayNowError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paynow.gg/storefront-headless/storefront-api/navlinks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
